Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### exit()

Examples

    void draw() {
      line(mouseX, mouseY, 50, 50);
    }

    void mousePressed() {
      exit();
    }

Description | Quits/stops/exits the program. Programs without a draw() function exit automatically after the last line has run, but programs with draw() run continuously until the program is manually stopped or exit() is run. Rather than terminating immediately, exit() will cause the sketch to exit after draw() has completed (or after setup() completes if called during the setup() method).

Syntax

    exit()

Parameters

Usage | Web & Application

Updated on November 17, 2007 10:07:52am PST